import * as $dara from '@darabonba/typescript';
import { DescribeStrategyDetailResponseBody } from "./DescribeStrategyDetailResponseBody";
export declare class DescribeStrategyDetailResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeStrategyDetailResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
